<div class="container">
    <br>
    <h4>Fichas pacientes</h4>
    <br>

    <!-- Card contenedora -->

    <div class="d-grid gap-2 d-md-flex justify-content-md-end">
        <button type="button" class="btn btn-success me-md-2" (click)="crearpaciente()">
            <fa-icon [icon]='["fas","plus-circle"]'></fa-icon> Crear paciente
        </button>
    </div>
    <div class="card border-info mb-3">
        <br>
        <!-- barra superios busquedas -->
        <div class="row">

            <!-- buscar por nombre   -->
            <div class="col">
                <div class="row">
                    <div  style="padding-left: 5%; ">
                        <label for="nombre">Nombre: </label>
                    </div>
                    <div class="col" style="padding-left: 5%; ">
                        <input id="nombre" #nombre type="text" class="form-control" required
                            onkeypress="return ((event.charCode >= 65 && event.charCode <= 90) || (event.charCode >= 97 && event.charCode <= 122))">
                    </div>
                    <div class="col">
                        <button type="submit" class="btn btn-dark" (click)="buscar(nombre.value)">Buscar</button>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="row table-responsive">
            <div class="col">
                <table class="table table-striped">
                    <!-- heder tabla  -->
                    <thead class="table-info">
                        <tr>
                            <th class="col-2 text-center">Rut</th>
                            <th class="col text-center">Nombres Apellido</th>
                            <th class="col text-center">Numero Teléfono</th>
                            <th class="col-2 text-center">Opciones Ficha</th>
                        </tr>
                    </thead>
                    <!-- fin heder tabla -->
                    <!-- Filas de la tabla -->
                    <tbody>
                        <tr *ngFor="let paciente of pacientes">
                            <!-- fecha -->
                            <th class="text-center">{{ paciente.rut }}</th>
                            <!-- rut -->
                            <td class="text-center">{{ paciente.nombres }} {{ paciente.apellido_paterno }}
                                {{ paciente.apellido_materno }}</td>
                            <!-- profesional -->
                            <td class="text-center">{{ paciente.telefono }}</td>
                            <!-- opciones -->
                            <td>

                                <div class="text-center" #acciones>


                                    <button  type="button" class="btn btn-outline-primary" *ngIf="paciente.ficha_clinica"
                                        (click)="irAVerFicha(paciente.id)">
                                        <fa-icon [icon]='["fas","eye"]'></fa-icon>
                                        
                                    </button>


                                    <button type="button" class="btn btn-outline-success" *ngIf="!paciente.ficha_clinica" 
                                        (click)="irACrearFicha(paciente.id)">
                                        <fa-icon [icon]='["fas","plus-circle"]'></fa-icon>
                                     
                                    </button>

                                    <button type="button" class="btn btn-outline-warning" *ngIf="paciente.ficha_clinica"
                                        (click)="irAModificar(paciente.id)">
                                        <fa-icon [icon]='["fas","edit"]'></fa-icon>
                                      
                                    </button>

                                </div>
                            </td>
                            <!-- fin opciones -->
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>


</div>
